# Linux Kernel Module Cheat

### 27.10. userland/libs directory

Tests under userland/libs require certain optional libraries to be installed on the target, and are not built or tested by default, you must enable them with either:

    --package <package>
    --package-all

See for example BLAS. Since it is located under `userland/libs/openblas`, it will only build with either:

    ./build-userland --package openblas
    ./build-userland --package-all

As an exception, if you first `cd` directly into one of the directories and do a native host build, e.g.:

    sudo apt install libeigen3-dev
    cd userland/libs/eigen
    ./build

then that library will be automatically enabled.

See also:

- C++ third-party libraries